BCD(6)

NAME
bcd, ppt, morse - reformat input as punch cards, paper tape or morse code

SYNOPSIS
bcd [string ...]
ppt [string ...]
morse [-p] [-w speed] [-f frequency] [-s] [string ...]

DESCRIPTION
The commands bcd, ppt and morse read the given input and reformat it in the form of punched cards, paper tape or morse code respectively. Acceptable input are command line arguments or the standard input.

Available option:

-s  The -s option for morse produces dots and dashes rather than words.

-p  Send morse the real way. This only works if your system has sound support and if the program understands your audio hardware.

-w speed
    Set the sending speed in words per minute. If not specified the default speed of 20 WPM is used.

-f frequency
    Set the sidetone frequency to something other than the default 600 Hz.

The -w and -f flags only work in conjunction with the -p flag.

Not all prosigns have corresponding characters. Use ‘#’ for AS, ‘@’ for SK, ‘*’ for VE and ‘%’ for BK. The more common prosigns are ‘=’ for BT, ‘(’ for KN and ‘+’ for AR.

FILES
/dev/speaker
    speaker device file

ENVIRONMENT

LC_CTYPE

LANG
    If one of these variables is set to a locale ending in ‘KOI8-R’, characters with the high-order bit set are being interpreted as Cyrillic characters. In all other cases, they are being interpreted as belonging to the ‘ISO_8859-1’ character set.

HISTORY
Sound support added by Lyndon Nerenberg (VE7TCP/VE6BBM) <lyndon@orthanc.com>.

BUGS
Does only understand a few European characters (namely German and French), but neither Asian ones, or the continental landline code.

Sends a bit slower than it should due to system overhead. Some people would call this a feature.